> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI Editing item by id



## OpenAPI

````yaml get /api/ai_editing/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/ai_editing/{id}/:
    get:
      tags:
        - ai_editing
      operationId: ai_editing_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Viral Cut Flow.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ViralCutFlow'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    ViralCutFlow:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/StatusD69Enum'
          readOnly: true
        failed_reason:
          type: string
          readOnly: true
          description: Failed reason
        video_output:
          type: string
          nullable: true
          readOnly: true
          description: Video output URL
        preview:
          type: string
          nullable: true
          readOnly: true
          description: Preview URL
        editor_url:
          type: string
          nullable: true
          readOnly: true
          description: >-
            Editor URL for the video. Expires in 24 hours. Available only if
            your API account has API editor access enabled. , expires in 24
            hours.
        is_hidden:
          type: boolean
          readOnly: true
          description: Is the video hidden in the website projects page
        progress:
          type: number
          format: double
          readOnly: true
          description: Progress of the job
        credits_used:
          type: number
          description: Credits used in this API call
          readOnly: true
        duration:
          type: integer
          readOnly: true
          description: Duration of the video in seconds
        media_job:
          type: string
          readOnly: true
          nullable: true
        permission_type:
          allOf:
            - $ref: '#/components/schemas/PermissionTypeEnum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        name:
          type: string
          maxLength: 255
        script:
          type: string
          nullable: true
          description: Text to be converted to video
        aspect_ratio:
          nullable: true
          description: |-
            Aspect ratio of the video

            * `9x16` -  9X16
            * `16x9` -  16X9
            * `1x1` -  1X1
          oneOf:
            - $ref: '#/components/schemas/AspectRatio338Enum'
            - $ref: '#/components/schemas/NullEnum'
        is_talking_video:
          type: boolean
          description: Whether the video is talking video or not
        is_one_person_in_video:
          type: boolean
          description: Whether the video is one person video or not
        editing_style:
          nullable: true
          description: |-
            Style to be used for the video

            * `film` - Film
            * `geometric_gradient` - Geometric Gradient
            * `glitch` - Glitch
            * `glitter_gradient` - Glitter Gradient
            * `paper` - Paper
          oneOf:
            - $ref: '#/components/schemas/EditingStyleEnum'
            - $ref: '#/components/schemas/NullEnum'
        audio_url:
          type: string
          nullable: true
          description: Audio to be used for the video
          maxLength: 255
        video_url:
          type: string
          nullable: true
          description: Video to be used for the video
          maxLength: 255
        size:
          type: number
          format: double
          description: Size of the video
        created_from_api:
          type: boolean
          description: Flow is created from api or not
        caption_setting:
          nullable: true
          description: >-
            Caption setting, default null and default caption setting will be
            used
        background_music_url:
          type: string
          format: uri
          nullable: true
          description: >-
            Background music URL for the video. Default is null, video will use
            random music.
          maxLength: 255
        background_music_volume:
          type: number
          format: double
          maximum: 1
          minimum: 0
          nullable: true
          description: >-
            Volume of the background music, ranging from 0.0 to 1.0. Default is
            null, video will use default music volume of visual_style.
        voiceover_volume:
          type: number
          format: double
          maximum: 1
          minimum: 0
          nullable: true
          description: >-
            Volume of the voiceover, ranging from 0.0 to 1.0. Default is null,
            video will use default voiceover volume of visual_style.
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        user:
          type: integer
          readOnly: true
          nullable: true
        workspace:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        brand:
          type: string
          format: uuid
          nullable: true
      required:
        - created_at
        - credits_used
        - duration
        - editor_url
        - failed_reason
        - id
        - is_hidden
        - media_job
        - permission_type
        - preview
        - progress
        - status
        - updated_at
        - user
        - video_output
        - workspace
    StatusD69Enum:
      enum:
        - pending
        - in_queue
        - running
        - failed
        - done
        - rejected
      type: string
      description: |-
        * `pending` - Pending
        * `in_queue` - In Queue
        * `running` - Running
        * `failed` - Failed
        * `done` - Done
        * `rejected` - Rejected
    PermissionTypeEnum:
      enum:
        - private
        - workspace
        - public
      type: string
      description: |-
        * `private` - Private
        * `workspace` - Workspace
        * `public` - Public
    AspectRatio338Enum:
      enum:
        - 9x16
        - 16x9
        - 1x1
      type: string
      description: |-
        * `9x16` -  9X16
        * `16x9` -  16X9
        * `1x1` -  1X1
    NullEnum:
      enum:
        - null
    EditingStyleEnum:
      enum:
        - film
        - geometric_gradient
        - glitch
        - glitter_gradient
        - paper
      type: string
      description: |-
        * `film` - Film
        * `geometric_gradient` - Geometric Gradient
        * `glitch` - Glitch
        * `glitter_gradient` - Glitter Gradient
        * `paper` - Paper
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````